Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[solv] virt-manager cant start any VM after update (systemd)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
mbar
Veteran
Veteran


Joined: 19 Jan 2005
Posts: 1952
Location: Poland

PostPosted: Tue Oct 23, 2012 8:23 am    Post subject: [solv] virt-manager cant start any VM after update (systemd) Reply with quote

This happened after recent update of libvirt (or openrc, though I'm not sure if it's relevant). I'm on "~amd64" and systemd. Everything was working OK yesterday. Any help appreciated :)

Right now I cannot start any virtual machine (I use KVM and virt-manager) I get instant fail and this error in system log:

Code:
Oct 23 09:53:17 marek-gentoo libvirtd[2467]: 2012-10-23 07:53:17.196+0000: 2481: warning : virCgroupMoveTask:885 : no vm cgroup in controller 4
Oct 23 09:53:17 marek-gentoo libvirtd[2467]: 2012-10-23 07:53:17.196+0000: 2481: warning : virCgroupMoveTask:885 : no vm cgroup in controller 6


How do I create that vm cgroup?


My recent updates:
Code:
1350717810: Started emerge on: Oct 20, 2012 09:23:30
1350717810:  *** emerge --newuse --deep --update world
1350717831:  >>> emerge (1 of 14) sys-apps/hwids-20121020 to /
1350717840:  ::: completed emerge (1 of 14) sys-apps/hwids-20121020 to /
1350717840:  >>> emerge (2 of 14) sys-libs/timezone-data-2012g to /
1350717852:  ::: completed emerge (2 of 14) sys-libs/timezone-data-2012g to /
1350717852:  >>> emerge (3 of 14) app-text/poppler-data-0.4.6 to /
1350717859:  ::: completed emerge (3 of 14) app-text/poppler-data-0.4.6 to /
1350717859:  >>> emerge (4 of 14) net-misc/curl-7.28.0-r1 to /
1350717963:  ::: completed emerge (4 of 14) net-misc/curl-7.28.0-r1 to /
1350717963:  >>> emerge (5 of 14) media-plugins/gst-plugins-x-0.10.35-r1 to /
1350717987:  ::: completed emerge (5 of 14) media-plugins/gst-plugins-x-0.10.35-r1 to /
1350717987:  >>> emerge (6 of 14) media-plugins/gst-plugins-xvideo-0.10.35-r1 to /
1350718013:  ::: completed emerge (6 of 14) media-plugins/gst-plugins-xvideo-0.10.35-r1 to /
1350718013:  >>> emerge (7 of 14) sys-apps/portage-2.1.11.30 to /
1350718028:  ::: completed emerge (7 of 14) sys-apps/portage-2.1.11.30 to /
1350718028:  >>> emerge (8 of 14) sys-apps/openrc-0.11.1 to /
1350718042:  ::: completed emerge (8 of 14) sys-apps/openrc-0.11.1 to /
1350718042:  >>> emerge (9 of 14) sys-fs/udev-init-scripts-17-r1 to /
1350718047:  ::: completed emerge (9 of 14) sys-fs/udev-init-scripts-17-r1 to /
1350718047:  >>> emerge (10 of 14) net-analyzer/net-snmp-5.7.2 to /
1350718164:  ::: completed emerge (10 of 14) net-analyzer/net-snmp-5.7.2 to /
1350718164:  >>> emerge (11 of 14) net-print/hplip-3.12.10a to /
1350718211:  ::: completed emerge (11 of 14) net-print/hplip-3.12.10a to /
1350718211:  >>> emerge (12 of 14) app-editors/latexila-2.6.1 to /
1350718236:  ::: completed emerge (12 of 14) app-editors/latexila-2.6.1 to /
1350718236:  >>> emerge (13 of 14) net-libs/libproxy-0.4.10 to /
1350718250:  ::: completed emerge (13 of 14) net-libs/libproxy-0.4.10 to /
1350718250:  >>> emerge (14 of 14) net-libs/libsocialweb-0.25.21 to /
1350718295:  ::: completed emerge (14 of 14) net-libs/libsocialweb-0.25.21 to /
1350799173: Started emerge on: Oct 21, 2012 07:59:33
1350799173:  *** emerge  --sync
1350799271: Started emerge on: Oct 21, 2012 08:01:10
1350799271:  *** emerge --newuse --deep --update world
1350799294:  >>> emerge (1 of 11) media-libs/libv4l-0.8.9 to /
1350799307:  ::: completed emerge (1 of 11) media-libs/libv4l-0.8.9 to /
1350799307:  >>> emerge (2 of 11) sys-apps/kmod-10-r2 to /
1350799324:  ::: completed emerge (2 of 11) sys-apps/kmod-10-r2 to /
1350799324:  >>> emerge (3 of 11) dev-libs/libcroco-0.6.7 to /
1350799343:  ::: completed emerge (3 of 11) dev-libs/libcroco-0.6.7 to /
1350799343:  >>> emerge (4 of 11) app-portage/layman-2.0.0_rc4 to /
1350799353:  ::: completed emerge (4 of 11) app-portage/layman-2.0.0_rc4 to /
1350799353:  >>> emerge (5 of 11) gnome-base/librsvg-2.36.4 to /
1350799386:  ::: completed emerge (5 of 11) gnome-base/librsvg-2.36.4 to /
1350799386:  >>> emerge (6 of 11) x11-libs/vte-0.34.1 to /
1350799420:  ::: completed emerge (6 of 11) x11-libs/vte-0.34.1 to /
1350799420:  >>> emerge (7 of 11) dev-libs/libpeas-1.6.1 to /
1350799458:  ::: completed emerge (7 of 11) dev-libs/libpeas-1.6.1 to /
1350799458:  >>> emerge (8 of 11) app-emulation/qemu-1.1.2-r1 to /
1350799533:  ::: completed emerge (8 of 11) app-emulation/qemu-1.1.2-r1 to /
1350799533:  >>> emerge (9 of 11) media-sound/audacious-3.3.2 to /
1350799563:  ::: completed emerge (9 of 11) media-sound/audacious-3.3.2 to /
1350799563:  >>> emerge (10 of 11) media-plugins/audacious-plugins-3.3.2 to /
1350799633:  ::: completed emerge (10 of 11) media-plugins/audacious-plugins-3.3.2 to /
1350799633:  >>> emerge (11 of 11) net-libs/libproxy-0.4.10-r1 to /
1350799649:  ::: completed emerge (11 of 11) net-libs/libproxy-0.4.10-r1 to /
1350879679: Started emerge on: Oct 22, 2012 06:21:18
1350879679:  *** emerge  --sync
1350879736: Started emerge on: Oct 22, 2012 06:22:16
1350879736:  *** emerge --newuse --deep --update world
1350879752:  >>> emerge (1 of 6) sys-apps/hwids-20121022 to /
1350879761:  ::: completed emerge (1 of 6) sys-apps/hwids-20121022 to /
1350879761:  >>> emerge (2 of 6) sys-apps/man-pages-3.43 to /
1350879771:  ::: completed emerge (2 of 6) sys-apps/man-pages-3.43 to /
1350879772:  >>> emerge (3 of 6) sys-libs/cracklib-2.8.19 to /
1350879792:  ::: completed emerge (3 of 6) sys-libs/cracklib-2.8.19 to /
1350879792:  >>> emerge (4 of 6) mail-client/thunderbird-16.0.1 to /
1350881009:  ::: completed emerge (4 of 6) mail-client/thunderbird-16.0.1 to /
1350881009:  >>> emerge (5 of 6) app-emulation/libvirt-0.10.2-r2 to /
1350881148:  ::: completed emerge (5 of 6) app-emulation/libvirt-0.10.2-r2 to /
1350881152:  >>> emerge (6 of 6) www-client/firefox-16.0.1 to /
1350882221:  ::: completed emerge (6 of 6) www-client/firefox-16.0.1 to /
1350974155: Started emerge on: Oct 23, 2012 08:35:55
1350974155:  *** emerge  --sync
1350974818: Started emerge on: Oct 23, 2012 08:46:57
1350974818:  *** emerge --newuse --deep --update world
1350974834:  >>> emerge (1 of 5) dev-libs/libksba-1.3.0 to /
1350974855:  ::: completed emerge (1 of 5) dev-libs/libksba-1.3.0 to /
1350974855:  >>> emerge (2 of 5) dev-libs/libnl-3.2.14 to /
1350974874:  ::: completed emerge (2 of 5) dev-libs/libnl-3.2.14 to /
1350974874:  >>> emerge (3 of 5) www-plugins/adobe-flash-11.2.202.243 to /
1350974881:  ::: completed emerge (3 of 5) www-plugins/adobe-flash-11.2.202.243 to /
1350974881:  >>> emerge (4 of 5) dev-python/setuptools-0.6.30 to /
1350974901:  ::: completed emerge (4 of 5) dev-python/setuptools-0.6.30 to /
1350974901:  >>> emerge (5 of 5) sys-apps/openrc-0.11.2 to /
1350974918:  ::: completed emerge (5 of 5) sys-apps/openrc-0.11.2 to /
1350975368: Started emerge on: Oct 23, 2012 08:56:07
1350975368:  *** emerge --deep --oneshot --keep-going --verbose app-text/keepnote:0 dev-util/gdbus-codegen:0
1350975374:  >>> emerge (1 of 2) app-text/keepnote-0.7.9-r1 to /
1350975383:  ::: completed emerge (1 of 2) app-text/keepnote-0.7.9-r1 to /
1350975383:  >>> emerge (2 of 2) dev-util/gdbus-codegen-2.32.4 to /
1350975392:  ::: completed emerge (2 of 2) dev-util/gdbus-codegen-2.32.4 to /
1350979443: Started emerge on: Oct 23, 2012 10:04:03
1350979443:  *** emerge  libcgroup
1350979446:  >>> emerge (1 of 1) dev-libs/libcgroup-0.37-r2 to /
1350979479:  ::: completed emerge (1 of 1) dev-libs/libcgroup-0.37-r2 to /


Last edited by mbar on Thu Oct 25, 2012 3:28 am; edited 1 time in total
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 32026
Location: 56N 3W

PostPosted: Tue Oct 23, 2012 4:57 pm    Post subject: Reply with quote

mbar,

Try adding udev-mount to the sysinit runlevel.
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
mbar
Veteran
Veteran


Joined: 19 Jan 2005
Posts: 1952
Location: Poland

PostPosted: Wed Oct 24, 2012 6:20 pm    Post subject: Reply with quote

That wouldn't do anything good to systemd, would it? ;)

Anyway, latest updates (qemu or libvirt) in portage solved the problem for me. Anybody knows the details (if there was a similar bug reported)?

Code:

completed emerge (9 of 9) app-emulation/libvirt-0.10.2-r3
completed emerge (5 of 5) app-emulation/qemu-1.1.2-r2
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum